﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace gatewayGK.POSGk
{
    /// <summary>
    /// Registro para obtener el subtotal de una venta
    /// </summary>
    record SubtotalReq
    {
        [JsonPropertyName("forceQuantityInput")] public bool ForceQuantityInput { get; set; } = true;
        [JsonPropertyName("pricePositionLimit")] public int PricePositionLimit { get; set; } = 0;
        [JsonPropertyName("priceTransactionLimit")] public int PriceTransactionLimit { get; set; } = 0;
        [JsonPropertyName("priceDifferencePercentPositionLimit")] public int PriceDifferencePercentPositionLimit { get; set; } = 0;
        [JsonPropertyName("priceDifferenceAbsolutePositionLimit")] public int PriceDifferenceAbsolutePositionLimit { get; set; } = 0;
    }
}
